/**

Theme Name: Manon Beauregard (Astra Child)

Author: Frederic Lacroix

Author URI: https://fredlacroix.ca/

Version: 2021-05-28

License: GNU General Public License v2 or later

License URI: http://www.gnu.org/licenses/gpl-2.0.html

Text Domain: child

Template: astra

*/
a, a:focus, a:hover{outline:none;}

.hide{display:none !important;}
.hide_front{display:none !important;} /* Ajouter cette classe pour afficher dans Elementor seulement */
body.elementor-editor-active .hide_front,
body.elementor-editor-active .show_in_backend{display:block !important;}

.cover {
	background-repeat: no-repeat;
	background-position:center;
	-webkit-background-size:cover;
	-moz-background-size:cover;
	-o-background-size:cover;
	background-size:cover;
}
.text-center{text-align:center; position:relative;}
.text-uppercase{text-transform:uppercase;}

input, select {-webkit-appearance: none;border-radius: 0;}

.underline a .elementor-icon-list-text{text-decoration:underline;}

/*

=== HEADER ===

*/
.home header .bt_home{display:none !important;}


.mrc .e-hotspot__label{display:none !important;}

.home header{
    will-change: background-color;
	-webkit-transition: background-color 1s;
	-moz-transition: background-color 1s;
	transition: background-color 1s;
    background-color:rgba( 255, 255, 255, 0) !important;
}
.home.scroll header{background-color:var( --e-global-color-8d1e107 ) !important;}
.home .hide_on_home{display:none !important;}
@media (max-width: 767px) {
    .home header{background-color:var( --e-global-color-8d1e107 ) !important;}
    .home .header_social{position:relative !important;}
}
@media (min-width: 768px) {
	/* X-SMALL */
   /* .home header{background-color:var( --e-global-color-8d1e107 ) !important;}*/
    
    .home header .nom_du_site{margin-top:34px;}
}
/*.home header .logo img{
    will-change: opacity;
	-webkit-transition: opacity 1s;
	-moz-transition: opacity 1s;
	transition: opacity 1s;
    opacity:0;
}
.home.scroll header .logo img{opacity:1;}

.home header .elementor-nav-menu--main > ul > li > a{
    will-change: color;
	-webkit-transition: color 1s;
	-moz-transition: color 1s;
	transition: color 1s;
    color:var( --e-global-color-secondary ) !important;
}
.home.scroll header .elementor-nav-menu--main > ul > li > a,
.home header .elementor-nav-menu--main > ul > li > a:hover{color:var( --e-global-color-primary ) !important;}*/

.single .elementor-widget-theme-post-content a{text-decoration:underline;}

/*
== CONTACT FORM 7 - https://deliciousthemes.com/contact-form-7-fields-columns/
*/
form .one-half,
form .one-third {
    position: relative;
    margin-right: 4%;
    float: left;
        margin-bottom: 20px;
 
}
 
form .one-half { width: 48%; }
form .one-third { width: 30.66%; }
 
form .last {
    margin-right: 0 !important;
    clear: right;
}
.grecaptcha-badge{display:none;}


.formulaire .elementor-tab-title{text-align:center;position:relative;}
.formulaire .elementor-tab-title:after{

    content:"";
    display:block;
    width:35px;
    height:35px;
    background-repeat: no-repeat;
	background-position:center;
	-webkit-background-size:cover;
	-moz-background-size:cover;
	-o-background-size:cover;
	background-size:cover;
    background-image:url("images/ico-plus.png");
    position:absolute;
    right:20px;
    top:50%;
    -webkit-transform: translateY(-50%) rotate(90deg) scale(0.5);
    -o-transform: translateY(-50%) rotate(90deg) scale(0.5);
    transform: translateY(-50%) rotate(90deg) scale(0.5);
    will-change: opacity;
	-webkit-transition: opacity 0.2s;
	-moz-transition: opacity 0.2s;
	transition: opacity 0.2s;
}
.formulaire .elementor-tab-title.elementor-active:after{opacity:0;}
.elementor-accordion .elementor-accordion-item:first-of-type{display: none;}

.formulaire a.elementor-accordion-title{text-decoration:none !important;}
.formulaire .wpcf7-not-valid-tip, .formulaire .wpcf7-response-output{text-transform:none;}
.formulaire input.wpcf7-not-valid{border-color:#dc3232;}
.formulaire label{
    margin-top: 10px;
    display: block;
}
.wpcf7 select{
    font-family: "montserrat", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.3em;
    color: var(--e-global-color-primary );
    background-color: transparent;
    border-style: solid;
    border-width: 2px 2px 2px 2px;
    border-color: var(--e-global-color-primary );
    border-radius: 0px 0px 0px 0px;
    position:relative;
    z-index: 2;
}
.wpcf7 select:focus{
    border-color: var( --e-global-color-accent );
    color: var( --e-global-color-accent );
}
.wpcf7 textarea{width:100% !important;resize: none;height: 150px;}
.wpcf7-submit{
    display:block;
    will-change: color, background-color;
	-webkit-transition: color 0.2s, background-color 0.2s;
	-moz-transition: color 0.2s, background-color 0.2s;
	transition: color 0.2s, background-color 0.2s;
    margin:0 auto;
}
.wpcf7-spinner{
    left: 64%;
    top: 14px;
    position:absolute;
}
label.select > span.wpcf7-form-control-wrap{position:relative;}
label.select > span.wpcf7-form-control-wrap:after{
    position:absolute;
    content:"";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 5px 5px 0 5px;
    border-color: var( --e-global-color-primary ) transparent transparent transparent;
    right:10px;
    top:50%;
    -webkit-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    z-index:1;
}
/* ROTATION DU #RADIUS */
@-webkit-keyframes rotating /* Safari and Chrome */ {
  from {
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(-360deg);
    -o-transform: rotate(-360deg);
    transform: rotate(-360deg);
  }
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(-360deg);
    -moz-transform: rotate(-360deg);
    -webkit-transform: rotate(-360deg);
    -o-transform: rotate(-360deg);
    transform: rotate(-360deg);
  }
}
.rotating {
  -webkit-animation: rotating 7s linear infinite;
  -moz-animation: rotating 7s linear infinite;
  -ms-animation: rotating 7s linear infinite;
  -o-animation: rotating 7s linear infinite;
  animation: rotating 7s linear infinite;
}
/* FIN - ROTATION DU #RADIUS */
#faq .elementor-toggle .elementor-toggle-item a{text-decoration: none !important;}

#politiques a{color:var( --e-global-color-primary );}

/* COOKIE CONSENT COMPLIANZ */
    .cmplz-cookiebanner{font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif !important; padding:10px !important;}
    .cmplz-cookiebanner .cmplz-header{position:absolute;width: 100%;top: 10px;right: 10px;}
    .cmplz-cookiebanner .cmplz-message{margin-bottom:0 !important;}
    .cmplz-cookiebanner .cmplz-buttons .cmplz-btn{height:auto !important; padding:5px 10px !important; font-size:13px !important;}
    @media only screen and (max-width: 767px) {.cmplz-message {padding-right: 20px;}}
/* FIN DE COMPLIANZ */
@media only screen and (max-width: 767px) {
    form .one-half, form .one-third {
        width: 100%;
        margin-right: 0;
    }
    
    .elementor-price-list .elementor-price-list-header, .elementor-price-list .elementor-price-list-item, .elementor-price-list .elementor-price-list-text{display:block;}
    ul.elementor-price-list .elementor-price-list-item .elementor-price-list-title,
    ul.elementor-price-list li .elementor-price-list-price{
        width:100%;
        max-width:100%;
        display:block;
        text-align:center;
    }
    ul.elementor-price-list li p.elementor-price-list-description{text-align:center;}
}

@media (min-width: 768px) {
	/* X-SMALL */
    .home #services{background-image:url("images/services-after-desktop.png");}
    .home #tarifs{background-image:url("images/tarifs-before-desktop.png");}
    
    .home #mariages:before{
        top:-20px;
    }
    .home #mariages:after{
        width:80px;
        height:370px;
        background-image:url("images/mariages-after-droite.png");
        background-position: top right;
        right:0;
        top:-300px;
    }
    
}

@media (max-width: 992px) {

}
@media (min-width: 992px) {
	/* MEDIUM */
    form .check_quart .wpcf7-list-item{width:25%;} /* Pour mettre 4 options par ligne */
}

@media (min-width: 1500px) {
	/* X-LARGE */ 
   
}